View Issue Details

IDProjectCategoryView StatusLast Update
0017658FPCDatabasepublic2011-05-01 22:26
ReporterArtyom Misko  Assigned ToJonas Maebe  
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Platformi386OSlinux 
Fixed in Version2.4.2 
Summary0017658: Error when using TSQLiteConection with TSQLTransaction
DescriptionWhen inserting a new record in the table as a result of getting the error "Can not resolve symbol "sqlite3_column_database_name" of interface sqlite from library "libsqlite3.so"."
TagsNo tags attached.
Fixed in Revision16239
FPCOldBugId0
FPCTarget
Attached Files

Activities

2010-10-17 21:54

 

testcase.tar.gz (130,264 bytes)

Artyom Misko

2010-10-17 21:56

reporter   ~0041885

On Lazarus-0.9.28.3-27726-fpc-2.4.0-20101017-win32.exe testcase is work without errors

Vincent Snijders

2010-10-17 21:59

manager   ~0041887

What is the used fpc version, when you get the error?

Artyom Misko

2010-10-17 22:05

reporter   ~0041889

fpc 2.4.2rc1

Vincent Snijders

2010-10-18 14:44

manager   ~0041900

I think it is an issue with fpc 2.4.2rc1 and not with Lazarus, so I moved it to the FPC project.

To make sure this issue is not overlooked in the release candidate, I added a link to this issue on http://wiki.freepascal.org/Issues_2.4.2#Issues_with_2.4.2-rc1 .

Artyom Misko

2010-10-18 17:38

reporter   ~0041902

Last edited: 2010-10-18 17:38

On fpc 2.4.0 testcase is work. Bug is in fpc

Artyom Misko

2010-10-23 23:32

reporter   ~0042037

test is ok.

Marco van de Voort

2011-05-01 22:26

manager   ~0047960

Fix was pulled up from fixes to 2.4.2, changing tag.

Issue History

Date Modified Username Field Change
2010-10-17 21:54 Artyom Misko New Issue
2010-10-17 21:54 Artyom Misko File Added: testcase.tar.gz
2010-10-17 21:54 Artyom Misko Widgetset => GTK 2
2010-10-17 21:56 Artyom Misko Note Added: 0041885
2010-10-17 21:59 Vincent Snijders Note Added: 0041887
2010-10-17 22:05 Artyom Misko Note Added: 0041889
2010-10-18 14:39 Vincent Snijders Project Lazarus => FPC
2010-10-18 14:44 Vincent Snijders Note Added: 0041900
2010-10-18 17:38 Artyom Misko Note Added: 0041902
2010-10-18 17:38 Artyom Misko Note Edited: 0041902
2010-10-18 20:19 Jonas Maebe Fixed in Revision => 16182
2010-10-18 20:19 Jonas Maebe Status new => resolved
2010-10-18 20:19 Jonas Maebe Fixed in Version => 2.4.3
2010-10-18 20:19 Jonas Maebe Resolution open => fixed
2010-10-18 20:19 Jonas Maebe Assigned To => Jonas Maebe
2010-10-23 23:32 Artyom Misko Status resolved => closed
2010-10-23 23:32 Artyom Misko Note Added: 0042037
2011-05-01 22:26 Marco van de Voort FPCOldBugId => 0
2011-05-01 22:26 Marco van de Voort Fixed in Revision 16182 => 16239
2011-05-01 22:26 Marco van de Voort Product Version 0.9.29 (SVN) =>
2011-05-01 22:26 Marco van de Voort Fixed in Version 2.4.3 => 2.4.2
2011-05-01 22:26 Marco van de Voort Note Added: 0047960